Option Strict Off
Public Class 系統執行檔版本管理
    Private Sub 系統執行檔版本管理_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        SQL_系統認證版本號查詢()
        If dr.Read() Then
            資料庫版本號_lb.Text = "資料庫版本號 : " & dr("系統認證版本號") : 小更1.Text = dr("小更新1").ToString : 小更2.Text = dr("小更新2").ToString
            小更3.Text = dr("小更新3").ToString : 中更1.Text = dr("中更新1").ToString : 中更2.Text = dr("中更新2").ToString
            版本號_tb.Text = dr("系統認證版本號") : 小更4.Text = dr("小更新4").ToString : 小更5.Text = dr("小更新5").ToString
            中更3.Text = dr("中更新3").ToString : 中更4.Text = dr("中更新4").ToString : 中更5.Text = dr("中更新5").ToString
        End If : conn.Close()
    End Sub
    Private Sub 登入閒置控制_MouseMove(sender As Object, e As EventArgs) Handles MyBase.MouseMove
        timeNow = 0 : FH_ERP_SYS.Timer1.Enabled = False : FH_ERP_SYS.Timer1.Enabled = True
    End Sub
    Private Sub 登入閒置控制_KeyPress(sender As Object, e As EventArgs) Handles MyBase.KeyPress
        timeNow = 0 : FH_ERP_SYS.Timer1.Enabled = False : FH_ERP_SYS.Timer1.Enabled = True
    End Sub
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        If conn.State = ConnectionState.Closed Then : conn.ConnectionString = ConString : conn.Open() : End If
        SQL1 = "UPDATE 版本號管理 SET 系統認證版本號 = N'" & 版本號_tb.Text & "', 小更新1 = N'" & 小更1.Text & "', 小更新2 = N'" & 小更2.Text & "', 小更新3 = N'" & 小更3.Text & "', 
                小更新4 = N'" & 小更4.Text & "', 小更新5 = N'" & 小更5.Text & "', 中更新1 = N'" & 中更1.Text & "', 中更新2 = N'" & 中更2.Text & "', 中更新3 = N'" & 中更3.Text & "', 
                中更新4 = N'" & 中更4.Text & "', 中更新5 = N'" & 中更5.Text & "' WHERE (系統認證版本號 = N'" & Strings.Right(資料庫版本號_lb.Text, 10) & "')"
        cmd.Connection = conn : cmd.CommandText = SQL1 : cmd.ExecuteNonQuery() : conn.Close()

        If conn.State = ConnectionState.Closed Then : conn.ConnectionString = ConString : conn.Open() : End If
        SQL1 = "SELECT 系統認證版本號 FROM 版本號管理 "
        cmd.CommandText = SQL1 : cmd.Connection = conn : dr = cmd.ExecuteReader
        If dr.Read() Then
            資料庫版本號_lb.Text = "資料庫版本號 : " & dr("系統認證版本號")
            版本號_tb.Text = dr("系統認證版本號")
        End If : conn.Close() : MsgBox("修改完成!!")
    End Sub
End Class